drop proc sh_datos_tabla_trans
go

create proc sh_datos_tabla_trans

@TABLE ud_descripcion,
@datefield ud_descripcion,
@dateproce VARCHAR(20),
@RLSED BIT
as

declare @cadena VARCHAR(1000)


IF(@RLSED=1)	--SOLO SE DEBE LEER REGISTROS EMITIDOS
	set @cadena='select * from ' + @table +' where ' +@datefield + "='" + @dateproce +"' AND RLSED=1"
ELSE
	set @cadena='select * from ' + @table +' where ' +@datefield + "='" + @dateproce +"'"

EXEC (@cadena)

go

--sh_datos_tabla_trans  'IN_INVENTHISTOPHISI','INTRDATEPROCE','20/01/2003',1
--SELECT * FROM IN_INVENTHISTOPHISI
